FreeBSD : libssh2 -- denial of service vulnerability (9770d6ac-614d-11e5-b379-14dae9d210b8)

This script is Copyright (C) 2015 Tenable Network Security, Inc.


Synopsis :

The remote FreeBSD host is missing a security-related update.

Description :

Mariusz Ziulek reports :

A malicious attacker could man in the middle a real server and cause
libssh2 using clients to crash (denial of service) or otherwise read
and use completely unintended memory areas in this process.

See also :

http://www.libssh2.org/adv_20150311.html
https://trac.libssh2.org/ticket/294
http://www.nessus.org/u?8cfd5f13

Solution :

Update the affected package.

Risk factor :

Medium / CVSS Base Score : 6.8
(CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P)

Family: FreeBSD Local Security Checks

Nessus Plugin ID: 86080 ()

Bugtraq ID:

CVE ID: CVE-2015-1782

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now